- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Returns a list of all resident SecurityHealthAnalyticsCustomModules under the given CRM parent and all of the parent’s CRM descendants.
IAM Permissions
Requires the following IAM permission on the resource specified in the parent field:
securitycenter.securityhealthanalyticscustommodules.list
HTTP request
GET https://securitycenter.googleapis.com/v1/{parent=projects/*/securityHealthAnalyticsSettings}/customModules:listDescendant The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Name of parent to list descendant custom modules. Its format is |
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000. |
pageToken |
The value returned by the last call indicating a continuation |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ListDescendantSecurityHealthAnalyticsCustomModulesResponse.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/securitycenter
For more information, see the Authentication Overview.